<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_151) on Mon Apr 16 12:51:58 CEST 2018 -->
<title>Index</title>
<meta name="date" content="2018-04-16">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#I:C">C</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:J">J</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="Case.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Case</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>
<div class="block">Case est la classe representant une case du plateau du jeu Othello.</div>
</dd>
<dt><span class="memberNameLink"><a href="Case.html#Case-int-int-">Case(int, int)</a></span> - Constructor for class <a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a></dt>
<dd>
<div class="block">A la construction d'une case, on lui donnne un abscisse et une ordonnee.</div>
</dd>
<dt><span class="memberNameLink"><a href="Othellier.html#changeJoueur--">changeJoueur()</a></span> - Method in class <a href="Othellier.html" title="class in &lt;Unnamed&gt;">Othellier</a></dt>
<dd>
<div class="block">Verifie que le joueur actuel peut jouer.</div>
</dd>
<dt><span class="memberNameLink"><a href="Game.html#changeOthellier-int-">changeOthellier(int)</a></span> - Method in class <a href="Game.html" title="class in &lt;Unnamed&gt;">Game</a></dt>
<dd>
<div class="block">Permet d'instancier un nouvel Othellier lorqu'on debute une nouvelle partie.</div>
</dd>
<dt><a href="Chrono.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Chrono</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>
<div class="block">Chrono est la classe representant un chronometre, il permet uniquement d'etre initialiser lors de l'instanciation et d'obtenir le temps ecouler.</div>
</dd>
<dt><span class="memberNameLink"><a href="Chrono.html#Chrono--">Chrono()</a></span> - Constructor for class <a href="Chrono.html" title="class in &lt;Unnamed&gt;">Chrono</a></dt>
<dd>
<div class="block">Lors de l'instanciation ce chrono enregistre l'heure.</div>
</dd>
</dl>
<a name="I:F">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><span class="memberNameLink"><a href="Othellier.html#fin--">fin()</a></span> - Method in class <a href="Othellier.html" title="class in &lt;Unnamed&gt;">Othellier</a></dt>
<dd>
<div class="block">Cette methode arrete le chronometre, fait appel a la methode scoreFinal et ouvre une fenetre pop-up pour informer le joueur.</div>
</dd>
</dl>
<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><a href="Game.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Game</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>
<div class="block">Game est la classe representant la fenetre du jeu Othello.</div>
</dd>
<dt><span class="memberNameLink"><a href="Game.html#Game-java.lang.String-">Game(String)</a></span> - Constructor for class <a href="Game.html" title="class in &lt;Unnamed&gt;">Game</a></dt>
<dd>
<div class="block">A la construction d'une game, il se construit une fenetre a
        laquelle on ajoute un MenuBar et un Othellier.</div>
</dd>
<dt><span class="memberNameLink"><a href="Chrono.html#get--">get()</a></span> - Method in class <a href="Chrono.html" title="class in &lt;Unnamed&gt;">Chrono</a></dt>
<dd>
<div class="block">Retourne la duree enregistrer par ce chrono.</div>
</dd>
<dt><span class="memberNameLink"><a href="Othellier.html#getBoard--">getBoard()</a></span> - Method in class <a href="Othellier.html" title="class in &lt;Unnamed&gt;">Othellier</a></dt>
<dd>
<div class="block">Retourne le plateau.</div>
</dd>
<dt><span class="memberNameLink"><a href="Case.html#getBtn--">getBtn()</a></span> - Method in class <a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a></dt>
<dd>
<div class="block">Retourne le bouton de cette case.</div>
</dd>
<dt><span class="memberNameLink"><a href="Othellier.html#getCase-int-int-">getCase(int, int)</a></span> - Method in class <a href="Othellier.html" title="class in &lt;Unnamed&gt;">Othellier</a></dt>
<dd>
<div class="block">Retourne une case du plateau.</div>
</dd>
<dt><span class="memberNameLink"><a href="Game.html#getOthellier--">getOthellier()</a></span> - Method in class <a href="Game.html" title="class in &lt;Unnamed&gt;">Game</a></dt>
<dd>
<div class="block">Retourne l'othellier de la game.</div>
</dd>
<dt><span class="memberNameLink"><a href="Othellier.html#getTaille--">getTaille()</a></span> - Method in class <a href="Othellier.html" title="class in &lt;Unnamed&gt;">Othellier</a></dt>
<dd>
<div class="block">Retourne la taille du plateau.</div>
</dd>
<dt><span class="memberNameLink"><a href="Case.html#getValeur--">getValeur()</a></span> - Method in class <a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a></dt>
<dd>
<div class="block">Retourne la valeur de cette case.</div>
</dd>
<dt><span class="memberNameLink"><a href="Case.html#getX--">getX()</a></span> - Method in class <a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a></dt>
<dd>
<div class="block">Retourne l'ordonnee de cette case.</div>
</dd>
<dt><span class="memberNameLink"><a href="Case.html#getY--">getY()</a></span> - Method in class <a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a></dt>
<dd>
<div class="block">Retourne l'abscisse de cette case.</div>
</dd>
</dl>
<a name="I:J">
<!--   -->
</a>
<h2 class="title">J</h2>
<dl>
<dt><span class="memberNameLink"><a href="Othellier.html#joue-int-int-">joue(int, int)</a></span> - Method in class <a href="Othellier.html" title="class in &lt;Unnamed&gt;">Othellier</a></dt>
<dd>
<div class="block">Cette methode commence en premier par vider le tableau des positions possible.</div>
</dd>
<dt><span class="memberNameLink"><a href="Othellier.html#joueIA--">joueIA()</a></span> - Method in class <a href="Othellier.html" title="class in &lt;Unnamed&gt;">Othellier</a></dt>
<dd>
<div class="block">Cette methode cherche les cases disponible pour l'IA et joue avec la premiere trouve.</div>
</dd>
</dl>
<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="Game.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class <a href="Game.html" title="class in &lt;Unnamed&gt;">Game</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Othellier.html#majChrono--">majChrono()</a></span> - Method in class <a href="Othellier.html" title="class in &lt;Unnamed&gt;">Othellier</a></dt>
<dd>
<div class="block">Met a jour le chronometre si il y a une partie en cours.</div>
</dd>
<dt><a href="MenuBar.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">MenuBar</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>
<div class="block">MenuBar est la classe representant le menu du jeu Othello, il permet de choisir son mode de jeu, mais egalement d'avoir une aide lors du jeu.</div>
</dd>
<dt><span class="memberNameLink"><a href="MenuBar.html#MenuBar--">MenuBar()</a></span> - Constructor for class <a href="MenuBar.html" title="class in &lt;Unnamed&gt;">MenuBar</a></dt>
<dd>
<div class="block">Ce MenuBar est compose de:
 
  Un sous-menu pour commencer une nouvelle partie, compose de deux boutons:
         
    Mode: contre l'IA.</div>
</dd>
</dl>
<a name="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><span class="memberNameLink"><a href="Othellier.html#nbChangement-int-int-int:A-">nbChangement(int, int, int[])</a></span> - Method in class <a href="Othellier.html" title="class in &lt;Unnamed&gt;">Othellier</a></dt>
<dd>
<div class="block">Cette methode compte et retourne le nombre de case qu'il est possible de capturer avec la case (y,x) dans la direction d.</div>
</dd>
</dl>
<a name="I:O">
<!--   -->
</a>
<h2 class="title">O</h2>
<dl>
<dt><a href="Othellier.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Othellier</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>
<div class="block">Othellier est la classe representant le plateau du jeu Othello et les affichages utile 
  comme le joueur qui doit jouer, les scores des joueurs ou encore le chrono.</div>
</dd>
<dt><span class="memberNameLink"><a href="Othellier.html#Othellier-int-">Othellier(int)</a></span> - Constructor for class <a href="Othellier.html" title="class in &lt;Unnamed&gt;">Othellier</a></dt>
<dd>
<div class="block">L'instanciation construit le plateau de cases et initialise plusieur attributs comme les scores, 
  le chronometre, etc ...</div>
</dd>
</dl>
<a name="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="Othellier.html#positionPossible-int-">positionPossible(int)</a></span> - Method in class <a href="Othellier.html" title="class in &lt;Unnamed&gt;">Othellier</a></dt>
<dd>
<div class="block">positionPossible enregistre toutes les cases ou le joueur peut jouer dans le tableau possible.</div>
</dd>
</dl>
<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="Othellier.html#retourneCase-int-int-">retourneCase(int, int)</a></span> - Method in class <a href="Othellier.html" title="class in &lt;Unnamed&gt;">Othellier</a></dt>
<dd>
<div class="block">Affiche l'image correspondant au joueur qui joue et modifie la valeur de la case.</div>
</dd>
</dl>
<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="Othellier.html#score--">score()</a></span> - Method in class <a href="Othellier.html" title="class in &lt;Unnamed&gt;">Othellier</a></dt>
<dd>
<div class="block">Met a jour les scores des joueurs et l'affichage des scores.</div>
</dd>
<dt><span class="memberNameLink"><a href="Othellier.html#scoreFinal--">scoreFinal()</a></span> - Method in class <a href="Othellier.html" title="class in &lt;Unnamed&gt;">Othellier</a></dt>
<dd>
<div class="block">Calcule le score final de chaque joueur.</div>
</dd>
<dt><span class="memberNameLink"><a href="Case.html#setValeur-int-">setValeur(int)</a></span> - Method in class <a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a></dt>
<dd>
<div class="block">Met a jour la valeur de cette case.</div>
</dd>
</dl>
<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="Case.html#TABIMAGES">TABIMAGES</a></span> - Static variable in class <a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Case.html#toString--">toString()</a></span> - Method in class <a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a></dt>
<dd>
<div class="block">Retourne cette case en String.</div>
</dd>
<dt><span class="memberNameLink"><a href="Othellier.html#toString--">toString()</a></span> - Method in class <a href="Othellier.html" title="class in &lt;Unnamed&gt;">Othellier</a></dt>
<dd>
<div class="block">Retourne le plateau en String.</div>
</dd>
</dl>
<a href="#I:C">C</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:J">J</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
